Bastion modules should have an explicit dependency on the Bastion module
Description

Upon adding manual bootstrapping, the Bastion module has become more independent and a module for centralized UI behavior. All

of the modules rely on this functionality to function, but the relationship is currently implied rather than explicit.

Associated revisions

Revision a170e75c - 04/10/2014 01:09 PM - Eric Helms

Fixes #5127: Adds explicit requires on Bastion module by all other modules.

The Bastion module serves to provide centralized cross-module functionality

required by each feature module. Previously, this relationship was implied by

Bastion being the top level module tied to the angular bootstrap process and

the Bastion modules inclusion of all other feature modules. With the change to

manualy bootstrapping angular with the required modules, the Bastion module

transitioned to acting like all other modules. However, without this module

all feature modules wouldn't function (e.g. setting API prefix, providing

functionality on the root scope). This changes adds an explicit requires

to all modules that require the Bastion module to function.

Revision 01167042 - 04/10/2014 02:03 PM - Eric Helms

Merge pull request #3964 from ehelms/fixes-5127

Fixes #5127: Adds explicit requires on Bastion module by all other modul...

Revision ce1a5cad - 04/10/2014 05:09 PM - Eric Helms

Fixes #5127: Adds explicit requires on Bastion module by all other modules.

The Bastion module serves to provide centralized cross-module functionality

required by each feature module. Previously, this relationship was implied by

Bastion being the top level module tied to the angular bootstrap process and

the Bastion modules inclusion of all other feature modules. With the change to

manualy bootstrapping angular with the required modules, the Bastion module

transitioned to acting like all other modules. However, without this module

all feature modules wouldn't function (e.g. setting API prefix, providing

functionality on the root scope). This changes adds an explicit requires

to all modules that require the Bastion module to function.

Revision cd77bf2d - 04/10/2014 06:03 PM - Eric Helms

Merge pull request #3964 from ehelms/fixes-5127

Fixes #5127: Adds explicit requires on Bastion module by all other modul...

History

#1 - 04/10/2014 06:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:ce1a5cade4cb28f63e8c5ace3b2fa0edb1dcec2f.

#2 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
